dashboard: general SLAs
panel_groups:
- group: Headline
  panels:
  - title: Weighted Availability Score - GitLab.com
    max_value: 1
    metrics:
    - id: single-stat-weighted-availability
      label: Weighted Availability Score - GitLab.com
      query: >-
        avg(clamp_max(avg_over_time(sla:gitlab:ratio{env=~"ops|gprd", environment="gprd", stage="main",
        monitor=~"global|"}[{{__range}}]),1))
      unit: "%"
    type: single-stat
  - title: Overall SLA over time period - gitlab.com
    metrics:
    - id: line-chart-overall-sla-time-period
      label: gitlab.com SLA
      query_range: >-
        avg(clamp_max(avg_over_time(sla:gitlab:ratio{env=~"ops|gprd", environment="gprd", stage="main",
        monitor=~"global|"}[1d]),1))
      step: 86400
      unit: "%"
    type: line-chart
    y_axis:
      name: SLA
      format: percent
- group: SLA Trends - Per primary service
  panels:
  - title: Primary Services Average Availability for Period - api
    max_value: 1
    metrics:
    - id: single-stat-sla-trend-api
      label: Primary Services Average Availability for Period - api
      query: >-
        avg(clamp_max(avg_over_time(slo_observation_status{env=~"ops|gprd", environment="gprd", stage="main", type="api"}[{{__range}}]), 1))
      unit: "%"
    type: single-stat
  - title: Primary Services Average Availability for Period - git
    max_value: 1
    metrics:
    - id: single-stat-sla-trend-git
      label: Primary Services Average Availability for Period - git
      query: >-
        avg(clamp_max(avg_over_time(slo_observation_status{env=~"ops|gprd", environment="gprd", stage="main", type="git"}[{{__range}}]), 1))
      unit: "%"
    type: single-stat
  - title: Primary Services Average Availability for Period - registry
    max_value: 1
    metrics:
    - id: single-stat-sla-trend-registry
      label: Primary Services Average Availability for Period - registry
      query: >-
        avg(clamp_max(avg_over_time(slo_observation_status{env=~"ops|gprd", environment="gprd", stage="main", type="registry"}[{{__range}}]), 1))
      unit: "%"
    type: single-stat
  - title: Primary Services Average Availability for Period - web
    max_value: 1
    metrics:
    - id: single-stat-sla-trend-web
      label: Primary Services Average Availability for Period - web
      query: >-
        avg(clamp_max(avg_over_time(slo_observation_status{env=~"ops|gprd", environment="gprd", stage="main", type="web"}[{{__range}}]), 1))
      unit: "%"
    type: single-stat
  - title: SLA Trends - Primary Services
    metrics:
    - id: line-chart-sla-trends-primary-services
      label: "{{type}}"
      query_range: >-
        clamp_min(clamp_max(avg(avg_over_time(slo_observation_status{env=~"ops|gprd", environment="gprd",
        stage="main", type=~"api|git|registry|web"}[1d])) by (type),1),0)
      step: 86400
      unit: "%"
    type: line-chart
    y_axis:
      name: SLA
      format: percent

